<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z30 - Ułamek właściwy</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z30</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    Napisz program, który: ułamek niewłaściwy w postaci licznik/mianownik zamienia na właściwy np. licznik=4 mianowmik=3 odpowiedź 1 i 1/3. W wersji podstawowej funkcja nie musi skracać ułamka.


</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="licznik">Podaj licznik: </label><br>
        <input type="number" name="licznik" id="licznik"><br><br>
        <label for="mianownik">Podaj mianownik: </label><br>
        <input type="number" name="mianownik" id="mianownik"><br><br>
        <button type="submit">Oblicz</button>
        <br>
    </form>
</div>
<div class="box">
    <?php
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $licznik = (int)htmlspecialchars($_POST['licznik']);
        $mianownik = (int)htmlspecialchars($_POST['mianownik']);

        if ($mianownik != 0) {
            $calosc = intdiv($licznik, $mianownik);
            $reszta = $licznik % $mianownik;

            if ($reszta == 0) {
                echo "Wynik: $calosc";
            } else {
                echo "Wynik: $calosc i $reszta/$mianownik";
            }
        } else {
            echo "Błędne dane wejściowe.";
        }
    }
    ?>
</body>
</html>